[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: RPM roadmapping



Panu Matilainen wrote:
On Thu, 2 Aug 2007, dragoran wrote:

Panu Matilainen wrote:
On Fri, 27 Jul 2007, dragoran wrote:

Panu Matilainen wrote:

Not everybody is on rpm-maint list and we'd like to hear the wishes of (Fedora) developers/packagers too. So: what have you always wanted to do with rpm, but wasn't able to? Or the other way around: what you always wished rpm would do for you? What always annoyed you out of your mind?

arch requires and provides ... to end the endless multilib discussions ;)
should be automatic until the packager say Requires: foo.arch

I wish it was that simple...

Sure, being able to say "Requires: foo.arch = version-release" would help in many cases, but it does not *solve* the multilib problems.

A big offender here is the x86 architecture with i386, i486 ... etc subarchitectures. While most packages are i386 there, the assumed
what about being able to say foo.i?86

What about foo.athlon which is also a 32bit arch?

And don't suggest "Requires: foo.i?86 || foo.athlon",
this is just ugly so no.
because then you'd have monsters like this in each and every spec:

%ifarch %{ix86}
Requires: foo.i?86 || foo.athlon
%fi
%ifarch x86_64
Requires: foo.x86_64
%fi
...

The exact %{arch} is not the point at all here.

ok thats indeed the wrong way to solve it.
what about forgot about the arch names and say foo.64bit or foo.32bit ?


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]